This commit is contained in:
Ben Grande 2023-11-02 02:27:54 +00:00
parent 758e152b47
commit a43b48b2e8
No known key found for this signature in database
GPG Key ID: 00C64E14F51F9E56
4 changed files with 14 additions and 7 deletions

View File

@ -14,6 +14,7 @@ SPDX-License-Identifier: CC-BY-SA-4.0
* [DomU](#domu)
* [Dom0](#dom0)
* [Usage](#usage)
* [Credits](#credits)
* [Legal](#legal)
## Description
@ -60,10 +61,10 @@ this procedure](https://www.qubes-os.org/doc/how-to-copy-from-dom0/#copying-to-d
2. Copy this repository from some qube to Dom0 from Dom0:
```sh
## Example: mkdir -p ~/QubesIncoming/dev
mkdir -p ~/QubesIncoming/QUBE
## Example: qvm-run -p dev tar -cC /home/user qusal | tar -xvC ~/QubesIncoming/dev qusal
qvm-run -p <QUBE> tar -cC </PATH/TO> qusal | tar -xvC ~/QubesIncoming/QUBE qusal
## Example: mkdir -p ~/QubesIncoming/dev
## Example: qvm-run -p dev tar -cC /home/user qusal | tar -xvC ~/QubesIncoming/dev qusal
```
3. Copy the files to the Salt directories:

View File

@ -4,6 +4,8 @@
* [Description](#description)
* [Installation](#installation)
* [Usage](#usage)
* [Credits](#credits)
## Description
@ -48,4 +50,4 @@ Exit the console with `Ctrl-]`.
## Credits
- [Unman](https://github.com/unman/shaker/tree/master/mirage)
- [Unman](https://github.com/unman/shaker/tree/main/mirage)

View File

@ -10,10 +10,10 @@
* [Agent](#agent)
* [Generate keys](#generate-keys)
* [Limit key usage](#limit-key-usage)
* [Enable and Start the service](#enable-and-start-the-service)
* [Reload agent](#reload-agent)
* [Debug Agent side](#debug-agent-side)
* [Client](#client)
* [Enable and Start the service](#enable-and-start-the-service-1)
* [Enable and Start the service](#enable-and-start-the-service)
* [Single agent per client](#single-agent-per-client)
* [Multiple agents per client](#multiple-agents-per-client)
* [Credits](#credits)

View File

@ -13,19 +13,23 @@ usage(){
}
case "${1-}" in
""|-h|--?help) usage;;
""|-h|--help) usage;;
esac
## vim-markdown-toc deletes lines if they are folded, can't rely on its native
## update on save.
if ! vim -e -c 'setf markdown' -c 'if !exists(":GenTocGFM") | cq | endif' -c q
then
echo "Error: Vim Plugin mzlogin/vim-markdown-toc is not installed."
echo "Error: Vim Plugin mzlogin/vim-markdown-toc is not installed." >&2
exit 1
fi
for f in "$@"; do
if ! test -f "$f"; then
echo "Error: Not a regular file: $f" >&2
exit 1
fi
if ! grep -q "^## Table of Contents$" "$f"; then
echo "Could not find table of contents on file: $f" >&2; exit 1
fi